#
# spec file for package python-google-cloud-kms-inventory
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-google-cloud-kms-inventory
Version:        0.2.14
Release:        1.1
Summary:        Google Cloud Kms Inventory API client library
License:        Apache-2.0
URL:            https://github.com/googleapis/google-cloud-python/tree/main/packages/google-cloud-kms-inventory
Source:         https://files.pythonhosted.org/packages/source/g/google_cloud-kms_inventory/google_cloud_kms_inventory-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module google-api-core >= 1.34.1}
BuildRequires:  %{python_module google-cloud-kms >= 2.3.0}
BuildRequires:  %{python_module proto-plus >= 1.22.3}
BuildRequires:  %{python_module protobuf >= 3.20.2}
# /SECTION
BuildRequires:  fdupes
Requires:       python-google-api-core >= 1.34.1
Requires:       python-google-auth
Requires:       python-google-cloud-kms >= 2.3.0
Requires:       python-proto-plus >= 1.22.3
Requires:       python-protobuf >= 3.20.2
BuildArch:      noarch
%python_subpackages

%description
Google Cloud Kms Inventory API client library

%prep
%autosetup -p1 -n google_cloud_kms_inventory-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/google/cloud/kms_inventory*
%{python_sitelib}/google_cloud_kms_inventory-%{version}.dist-info

%changelog
* Fri Apr 25 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.2.14
  * [Many APIs] Allow Protobuf 6.x
- from version 0.2.13
  * Add REST Interceptors which support reading metadata
  * Add support for reading selective GAPIC generation methods from service YAML
- from version 0.2.12
  * Add support for opt-in debug logging
  * Fix typing issue with gRPC metadata when key ends in -bin
- from version 0.2.11
  * Disable universe-domain validation (#13243)
- from version 0.2.10
  * Add support for Python 3.13 (#13207)
- from version 0.2.9
  * **deps:** allow google-cloud-kms 3.x
- from version 0.2.8
  * Retry and timeout values do not propagate in requests during pagination
- from version 0.2.7
  * Allow Protobuf 5.x (#12867)
- Adjust upstream source name in spec file
- Update BuildRequires and Requires from setup.py
* Sat Apr 20 2024 Dirk Müller <dmueller@suse.com>
- update to 0.2.6:
  * Allow users to explicitly configure universe domain
  * Add google-auth as a direct dependency
  * Add staticmethod decorator to _get_client_cert_source
    and _get_api_endpoint (27dceb9)
  * Resolve AttributeError 'Credentials' object has no attribute
    'universe_domain'
* Sun Dec 17 2023 Dirk Müller <dmueller@suse.com>
- run tests
* Wed Dec 13 2023 Daniel Garcia <daniel.garcia@suse.com>
- Initial version 0.2.2 (jsc#PED-6697)
